FROM python:3.13.2-slim

# Install dependencies
RUN apt-get update && apt-get install -y \
    ffmpeg \
    git \
    && rm -rf /var/lib/apt/lists/*

WORKDIR /app
COPY requirements.txt /app/
RUN pip install --no-cache-dir -r requirements.txt

COPY . /app

ENV PYTHONUNBUFFERED=1
EXPOSE 80

CMD ["gunicorn", "app:app", "--access-logfile", "-", "--bind", "0.0.0.0:80"]
